View Issue Details

IDProjectCategoryView StatusLast Update
0001631SymmetricDSBugpublic2014-03-16 10:31
ReportermhanesAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.18 
Target Version3.5.19Fixed in Version3.5.19 
Summary0001631: CSV is missing "columns" row when two different sets of columns are being used with three different inserts or updates
DescriptionAssume there's three inserts into a table. The first insert uses one columns set, the second uses a different column set, and the third uses the same as the first. The CSV creation doesn't list the columns in the thrid case, as it found the hash from the first case and assumed it didn't need to write the columns, when in fact the hash it found was not the most recent hash.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master c8d8cf8e

2014-03-05 12:17:59

chenson

Details Diff
0001631: CSV is missing "columns" row when two different sets of columns are being used with three different inserts or updates
0001631
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractProtocolDataWriter.java Diff File

Issue History

Date Modified Username Field Change
2014-03-05 12:07 mhanes New Issue
2014-03-05 12:07 mhanes Status new => assigned
2014-03-05 12:07 mhanes Assigned To => chenson
2014-03-05 12:09 mhanes Summary CSV is meeting "columns" row when two different sets of columns are being used with three different inserts or updates => CSV is missing "columns" row when two different sets of columns are being used with three different inserts or updates
2014-03-05 13:00 Changeset attached => SymmetricDS 3.5 r8027
2014-03-05 13:00 Changeset attached => SymmetricDS trunk r8028
2014-03-10 20:23 chenson Status assigned => resolved
2014-03-10 20:23 chenson Fixed in Version => 3.5.19
2014-03-10 20:23 chenson Resolution open => fixed
2014-03-16 10:31 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master c8d8cf8e